@use "sass:map";
@use '@angular/material' as mat;

@font-face {
  font-family: Poppins-Bold ;
  font-weight: bold;
  font-style: normal;
  src: url('../assets/Poppins-Bold.ttf') format('truetype');
}

@font-face {
  font-family: Poppins-Regular;
  font-weight: normal;
  font-style: normal;
  src: url('../assets/Poppins-Regular.ttf') format('truetype');
}

$_palettes: (
  primary: (
    0: #000,
    10: #00210F,
    20: #00391E,
    25: #004525,
    30: #00522D,
    35: #005F36,
    40: #006D3E,
    50: #248753,
    60: #43A26B,
    70: #60BE84,
    80: #7BDA9E,
    90: #A8F3BF,
    95: #C2FFD2,
    98: #E9FFEC,
    99: #F5FFF4,
    100: #FFF
  ),
  secondary: (
    0: #000,
    10: #3B002D,
    20: #5B0E47,
    25: #691C53,
    30: #77285F,
    35: #85346B,
    40: #934078,
    50: #B05992,
    60: #CE72AD,
    70: #EC8CC8,
    80: #FFAEDE,
    90: #FFD8EC,
    95: #FFECF4,
    98: #FFF8F9,
    99: #FFFBFF,
    100: #FFF
  ),
  tertiary: (
    0: #000,
    10: #190064,
    20: #2F2079,
    25: #3A2C84,
    30: #463991,
    35: #52459D,
    40: #5E52AA,
    50: #776BC5,
    60: #9185E1,
    70: #AC9FFE,
    80: #C8BFFF,
    90: #E5DEFF,
    95: #F4EEFF,
    98: #FDF8FF,
    99: #FFFBFF,
    100: #FFF
  ),
  neutral: (
    0: #000,
    10: #1D1B18,
    20: #33302D,
    25: #3E3B38,
    30: #494643,
    35: #55524E,
    40: #625E5A,
    50: #7B7672,
    60: #95908C,
    70: #B0AAA6,
    80: #CBC5C1,
    90: #E8E1DC,
    95: #F6EFEA,
    98: #FFF8F3,
    99: #FFFBFF,
    100: #FFF
  ),
  neutral-variant: (
    0: #000,
    10: #1D1C16,
    20: #32302A,
    25: #3D3B35,
    30: #494740,
    35: #55524B,
    40: #615E57,
    50: #7A776F,
    60: #949088,
    70: #AFABA2,
    80: #CAC6BD,
    90: #E7E2D9,
    95: #F5F0E7,
    98: #FEF9EF,
    99: #FFFBFF,
    100: #FFF
  ),
  error: (
    0: #000,
    10: #410002,
    20: #690005,
    25: #7e0007,
    30: #93000a,
    35: #a80710,
    40: #ba1a1a,
    50: #de3730,
    60: #ff5449,
    70: #ff897d,
    80: #ffb4ab,
    90: #ffdad6,
    95: #ffedea,
    98: #fff8f7,
    99: #fffbff,
    100: #fff,
  ),
);
$_rest: (
  secondary: map.get($_palettes, secondary),
  neutral: map.get($_palettes, neutral),
  neutral-variant: map.get($_palettes, neutral-variant),
  error: map.get($_palettes, error),
);
$_primary: map.merge(map.get($_palettes, primary), $_rest);
$_tertiary: map.merge(map.get($_palettes, tertiary), $_rest);
$theme: mat.define-theme((
  color: (
    theme-type: dark,
    primary: $_primary,
    tertiary: $_tertiary,
  ),
  typography: (
    brand-family: 'Poppins-Bold',
    plain-family: 'Poppins-Regular',
  ),
));
@include mat.core();
:root {
  @include mat.all-component-themes($theme)
}
